be.fgov.ehealth.technicalconnector.bootstrap.bcp

## Class EndpointDistributor

- java.lang.Object
- - be.fgov.ehealth.technicalconnector.bootstrap.bcp.EndpointDistributor

-     public final class EndpointDistributor
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PROP_POLLING_ACTIVATED`
    `static String` | `PROP_POLLING_INTERVAL`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `activateNextEndPoint(String currentEndpoint)`
    `void` | `activatePolling()`
    `String` | `getActiveEndpoint(String currentEndpoint)`
    `int` | `getAmountOfAlternatives(String currentEndpoint)`
    `CacheInformation` | `getCacheInformation(String currentEndpoint)`
    `static EndpointDistributor` | `getInstance()`
    `List<PolicyInformation>` | `getPoliciesForService(String serviceName)`
    `PolicyInformation` | `getPolicy(String currentEndpoint)`
    `String` | `getService(String currentEndpoint)`
    `boolean` | `mustCache(String currentEndpoint)`
    `boolean` | `mustPoll()`
    `static boolean` | `update()`
    `void` | `update(EndPointInformation info)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROP_POLLING_INTERVAL

          public static final String PROP_POLLING_INTERVAL

      See Also:
        Constant Field Values

    - #### PROP_POLLING_ACTIVATED

          public static final String PROP_POLLING_ACTIVATED

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getInstance

          public static EndpointDistributor getInstance()

    - #### getService

          public String getService(String currentEndpoint)

    - #### getActiveEndpoint

          public String getActiveEndpoint(String currentEndpoint)

    - #### getPolicy

          public PolicyInformation getPolicy(String currentEndpoint)

    - #### mustCache

          public boolean mustCache(String currentEndpoint)

    - #### getCacheInformation

          public CacheInformation getCacheInformation(String currentEndpoint)

    - #### activatePolling

          public void activatePolling()

    - #### mustPoll

          public boolean mustPoll()

    - #### activateNextEndPoint

          public void activateNextEndPoint(String currentEndpoint)
                                    throws NoNextEndpointException

      Throws:
        `NoNextEndpointException`

    - #### getPoliciesForService

          public List<PolicyInformation> getPoliciesForService(String serviceName)

    - #### getAmountOfAlternatives

          public int getAmountOfAlternatives(String currentEndpoint)

    - #### update

          public void update(EndPointInformation info)

    - #### update

          public static boolean update()

Connector Packaging TECHNICAL 4.9.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.